<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/guia_producto_orden.php';
$response = array();

if (!isset($_POST['id_paqueteria'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_paqueteria = $_POST['id_paqueteria'];

$guia_producto_orden = GuiaProductoOrden::mdlGetGuiaProductoOrdenByIdPaqueteria($id_paqueteria);

if (!$guia_producto_orden) {
    $response['response'] = 'error';
    $response['data'] = 'No se pudo obtener la guia_producto_orden';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $guia_producto_orden;
echo json_encode($response);